/*	signal.h

	AFAPI signal declarations for TTL_PAPERS.

	July 1996 by H. Dietz
*/


#ifndef	_S_SIGNAL_H
#define	_S_SIGNAL_H


/*	Basic signal stuff...
*/

#define	S_SIGMEM	0
#define	S_SIGANY	-1


extern void s_ignore(register p_bar m);
extern int s_install(int s, void (*f)(p_bar m));
extern int s_init(void);
extern void s_exit(void);

extern void s_signal(register int s);
extern void s_poll(void);
extern void s_wait(void);


/*	RSM shared memory stuff...
*/

#define	S_INITLOCK	0


extern struct s_updateArgsType {
	void *a;
	int n;
} s_updateArgs;


extern void s_update(void *a, int n);
extern void s_initLock(s_lock *l);
extern void s_acquire(s_lock *l);
extern void s_release(s_lock *l);


#endif
